<?php
/**
 * @var $this IWD_Opc_Block_Onepage_Wrapper
 * @var $opcHelper IWD_Opc_Helper_Data
 */
?>
<?php
	$opcHelper = $this->getOpcHelper();
	$showLoginButton = !$this->isCustomerLoggedIn() && $opcHelper->isShowLoginButton();
?>

<div class="iwd_opc_clear"></div>

<div class="iwd_opc_wrapper">
	<div class="iwd_opc_alternative_wrapper">
		<script type="text/javascript">
		var iwdOpcConfig = '<?php echo $this->jsQuoteEscape($this->getJsonConfig()); ?>';
		Validation.defaultOptions.addClassNameToContainer = true;
		Validation.defaultOptions.containerClassName = '.iwd_opc_universal_wrapper';
		</script>
		<?php /*if ($showLoginButton) {*/ ?>
		<?php if (false) { ?>
		<div class="iwd_opc_top">
			<div class="iwd_opc_top_buttons" data-has-login="true">
				<?php echo $this->getChildHtml('paypal_express'); ?>
				<?php echo $this->getChildHtml('paypaluk_express'); ?>
			</div>
		</div>
		<?php } ?>

		<div id="checkout_page_tabs" class="container"> 
			<ul  class="nav nav-pills">
				<li class="<?php if($this->isCustomerLoggedIn()){echo "";}else {echo "active";}?> 1atab" >
					<a  href="#1a" data-toggle="tab">Sign In</a>
				</li>
				<li class="<?php if($this->isCustomerLoggedIn()){echo "active";} else{echo "visited";}?> 2atab" ><a href="#2a" data-toggle="tab">Enter Address</a>
				</li>
				<li class="3atab visited"><a href="#3a" data-toggle="tab" class="">Review and Pay</a>
				</li>
			</ul>

			<div class="tab-content clearfix">
				<div class="tab-pane <?php if($this->isCustomerLoggedIn()){echo "";} else{echo "active";}?>" id="1a">
					<div class="iwd_opc_column" id="iwd_opc_address_column">
						<div class="iwd_opc_alternative_column login_section_cont">
							
							<div class="iwd_opc_column_content" tabindex="-1">
								<?php if (!$this->isCustomerLoggedIn()) { ?>
								<div class="iwd_opc_top_buttons">
									<div class="register_heading"></div>
									<div class="login_cont_section">
										<span>
											<input id="email_address" placeholder="Your Email Address"/>	
											<div class="invalid-email hide">Please enter a valid email.</div>
											<input type="password" style="margin-top:20px;" id="password" class="hide" placeholder="Password"/>
											<div class="invalid-email-password hide">Invalid Email or Password</div>
											<div class="text-left hide" style="margin-top:5px">
												<a href="<?php echo Mage::getUrl('customer/account/forgotpassword');?>" class="f-left">Forgot Your Password?</a>
											</div>
										</span>
									</div>
									<div class="button_container_login">
										<button onclick="continueAsGuest(this);" class="guest_btn">Continue as Guest</button>
										<button onclick="login();"  class="sign_in_btn">Sign In</button>
										
									</div>
									
								</div>
								<?php } else { ?>
								<div class="iwd_opc_top_buttons" data-has-login="false" style="margin-top:40px;" >
									Already Logged in as <a href="<?php echo Mage::getUrl('customer/account')?>"><?php echo $this->getCustomer()->getEmail()?></a>.<br><a href="<?php echo Mage::getUrl('customer/account/logout')?>"> Logout</a>
								</div>
								<?php } ?>
							</div>
						</div>
						<div class="custom_sign_or">Or</div>
						<div class="sign_social_icons">
							<div  class="button_container_login">
								<button onclick="jQuery('#register_with_us').removeClass('hide');" class="sign_in_btn">Create an Account</button>
							</div>
							<a class="facebook hide" href="javascript:void(0);" title="Facebook">
								<img src="<?php echo $this->getSkinUrl('images/fb.png');?>" alt="Facebook">
							</a> 
							<a class="google_plus hide" href="javascript:void(0);" title="Google Plus">
								<img src="<?php echo $this->getSkinUrl('images/gp.png');?>" alt="Google Plus">
							</a> 
						</div>
						<div id="register_with_us" class="iwd_opc_alternative_column hide">
							<div class="iwd_opc_column_content login_cont_section">
								<h4 style="margin:10px 0 10px 0;font-size:22px;color:#a78b6b;text-align:center;">Register with Us</h4>
								<span>
									<input placeholder="Email" type="text" id="register_email"/>
									<input placeholder="First Name" type="text" id="register_firstname"/>
									<input placeholder="Last Name" type="text" id="register_lastname"/>
									<input placeholder="Password" type="password" id="register_password"/>
								</span>
								<a class="register-error hide">Please fill in all fields</a>
								<div class="already-registered-error hide">You are already registered with us. Please login. <a href="<?php echo Mage::getUrl('customer/account/forgotpassword');?>">Forgot Password?</a></div>
								<div class="button_container_login">
									<button onclick="register();" class="sign_in_btn">Sign Up</button>
								</div>
							</div>
						</div>

					</div>
				</div>
				<div class="tab-pane <?php if($this->isCustomerLoggedIn()){echo "active";}?>" id="2a">
					
					<!--        --><?php //if (!$this->isVirtual()) { ?>

					<div class="iwd_opc_column" id="iwd_opc_shipping_column">
						<div class="iwd_opc_alternative_column">
							
							<div id="iwd_opc_billing_address">
								<form class="iwd_opc_form" id="iwd_opc_billing_form">
									<?php if (!$this->isCustomerLoggedIn()) { ?>
									<div id="iwd_opc_login">
										<?php echo $this->getChildHtml('login'); ?>
										<?php echo $this->getChildHtml('loader');
										?>
									</div>
									<div class="iwd_opc_section_delimiter"></div>
									<?php } ?>
                            <!--<div class="iwd_opc_universal_wrapper iwd_opc_message iwd_opc_section_message error_message"
                                 style="display:none;">

                             </div>-->
                             <?php echo $this->getChildHtml('billing_address'); ?>
                         </form>
                         <?php  echo $this->getChildHtml('loader');
                         ?>
                     </div>

                     <?php if (!$this->isVirtual()) {
                     	?>
                     	<div id="iwd_opc_shipping_address"
                     	<?php if (!$this->isShowShippingForm() && !$this->isCustomerLoggedIn()){?>
                     	style="display:none;"
                     	<?php } ?>
                     	>
                            <!--<div class="iwd_opc_universal_wrapper iwd_opc_message iwd_opc_section_message error_message"
                                 style="display:none;">

                             </div>-->
                             <form class="iwd_opc_form" id="iwd_opc_shipping_form">
                             	<?php echo $this->getChildHtml('shipping_address'); ?>
                             </form>
                             <?php echo $this->getChildHtml('loader'); 
                             ?>
                         </div>
                         <script type="text/javascript">
                         var iwdOpcShippingAddressForm = new VarienForm('iwd_opc_shipping_form');
                         iwdOpcShippingAddressForm.validator.options = {
                         	onSubmit: false,
                         	stopOnFirst: false,
                         	immediate: false,
                         	focusOnError: false,
                         	useTitles: false,
                         	onFormValidate: function (result, form) {
                         	},
                         	onElementValidate: function (result, elm) {
                         	}
                         };
                         </script>
                         <?php }
                    /*else { ?>
                    <?php if ($opcHelper->isShowCommentField()) { ?>
                        <div class="iwd_opc_section_delimiter"></div>
                        <div id="iwd_opc_comment">
                            <?php echo $this->getChildHtml('comment'); ?>
                            <?php echo $this->getChildHtml('loader'); ?>
                        </div>
                    <?php } ?>
                    <?php } */ ?>
                    <div class="iwd_opc_column_content" tabindex="-1">
                    <!--<div id="iwd_opc_payment">
                        <?php echo $this->getChildHtml('payment'); ?>
                        <?php //echo $this->getChildHtml('loader');
					 ?>
					</div>-->
					<div id="iwd_opc_shipping_method" style="display:none">
						<div class="iwd_opc_universal_wrapper iwd_opc_message iwd_opc_section_message error_message"
						style="display:none;">

					</div>
					<?php echo $this->getChildHtml('shipping_method'); ?>
					<?php if (!$this->isVirtual()) { ?>
					<?php echo $this->getChildHtml('loader'); 
					?>
					<?php } ?>
				</div>
				<?php if ($opcHelper->isShowCommentField()
					|| ($opcHelper->isShowGiftMessage() && !$this->isVirtual())
					) { ?>
					<div class="iwd_opc_section_delimiter"></div>
					<?php } ?>
					<?php if ($opcHelper->isShowGiftMessage() && !$this->isVirtual()) { ?>
					<div id="iwd_opc_gift_message">
						<div class="iwd_opc_universal_wrapper iwd_opc_message
						iwd_opc_section_message error_message"
						style="display:none;">

					</div>
					<?php echo $this->getChildHtml('gift_message'); ?>
					<?php echo $this->getChildHtml('loader'); 
					?>
				</div>
				<?php } ?>
			</div>
			<button class="review_pay_btn" onclick="reviewAndPay();">Review and Place Order</button>

			<script type="text/javascript">
			var iwdOpcBillingAddressForm = new VarienForm('iwd_opc_billing_form');
			iwdOpcBillingAddressForm.validator.options = {
				onSubmit: false,
				stopOnFirst: false,
				immediate: false,
				focusOnError: false,
				useTitles: false,
				onFormValidate: function (result, form) {
				},
				onElementValidate: function (result, elm) {
				}
			};
			</script>
		</div>
		<div class="verify-mobile-popup" >
			<div>Please enter the OTP sent to your mobile number</div>
			<input id="otp" class="otp" placeholder="ENTER OTP"></input>
			<button onclick="verify_otp()" class="verify_button green_btn">Verify Mobile</button>
			<button onclick="editmobile()" class="edit_button gray_btn">Edit Mobile</button>
		</div>
	</div>

	<!--        --><?php //} ?>
</div>
<div class="tab-pane" id="3a">
	<div class="iwd_opc_column" id="iwd_opc_payment_column" style="background:#fcf6f0;">
		<div class="iwd_opc_alternative_column" style="float:none;">
			
			<div class="iwd_opc_column_content" tabindex="-1">
				<div class="iwd_opc_top">
					<div id="iwd_opc_top_review" tabindex="-1">
						<?php echo $this->getChildHtml('review'); ?>
					</div>
				</div>
                    <!--<div id="iwd_opc_payment">
                        <?php echo $this->getChildHtml('payment'); ?>
                        <?php //echo $this->getChildHtml('loader'); 
			?>
		</div>-->
		<?php if ($opcHelper->isShowSubscribe()) { ?>
		<div id="iwd_opc_subscribe">
			<?php echo $this->getChildHtml('subscribe'); ?>
		</div>
		<div class="iwd_opc_section_delimiter"></div>
		<?php } ?>
		<?php echo $this->getChildHtml('agreements'); ?>
		<?php if ($opcHelper->isShowCommentField()) { ?>
		<div id="iwd_opc_comment">
			<?php echo $this->getChildHtml('comment'); ?>
			<?php echo $this->getChildHtml('loader'); 
			?>
		</div>
		<?php } ?>
		<div id="iwd_opc_payment">
			<?php echo $this->getChildHtml('payment'); ?>
                        <?php //echo $this->getChildHtml('loader'); 
                        ?>
                    </div>
                    <div id="iwd_opc_place_order">
                    	<div class="iwd_opc_universal_wrapper">
                    		<button type="button"
                    		id="iwd_opc_place_order_button"
                    		title="<?php echo $this->escapeHtml($this->__('Place Order')); ?>"
                    		class="iwd_opc_button active on_submit_validate">
                    		<?php echo $this->escapeHtml($this->__('Place Order')); ?>
                    	</button>
                    </div>
                    <div class="iwd_opc_universal_wrapper iwd_opc_message info_message" style="display:none;">
                    	<?php echo $this->escapeHtml($this->__('All required fields haven\'t been filled.')) ?>
                    </div>
                </div>
                
            </div>
        </div>
    </div>
</div>

</div>
</div>



<div class="iwd_opc_clear"></div>


<div class="iwd_opc_clear"></div>
<?php echo $this->getChildHtml('loader');
?>
</div>
</div>
<div class="iwd_opc_clear"></div>
<script type="text/javascript">	
function ValidateEmail(inputText)  
{  
	var mailformat = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;  
	if(inputText.match(mailformat))  
	{  
		return true;  
	}  
	else  
	{  
		return false;  
	}  
} 

function continueAsGuest(e)
{

	var email=document.getElementById("email_address").value;
	document.getElementById("loginEmail").value=email;
	if(ValidateEmail(email)){
		jQuery('#1a').removeClass("active");
		jQuery('.1atab').removeClass("active");
		jQuery('.2atab').removeClass("visited");
		jQuery('#2a').addClass("active");
		jQuery('.2atab').addClass("active");
		jQuery('.invalid-email').addClass('hide');
	}
	else{
		jQuery('.invalid-email').removeClass('hide');
	}
	page_url=encodeURIComponent(window.location.href);
	email=encodeURIComponent(email);
}

function login()
{
	var email=document.getElementById("email_address").value;
	var password=document.getElementById("password").value;
	jQuery('#password').removeClass('hide');
	if(jQuery('#password').hasClass('showing')){
		var signinUrl='<?php echo $this->getBaseUrl()?>checkout/onepage/iwdlogin?email_address='+email+'&password='+password;

		jQuery.ajax({
			url:signinUrl,
			success:function(data){
				if(data=='1')
				{
					location.reload();
				}
				else
				{
					jQuery('.invalid-email-password').removeClass('hide');
					jQuery('.text-left').removeClass('hide');
				}
			},
			async:false
		});
	}
	else{
	}
	jQuery('#password').addClass('showing');
	
	page_url=encodeURIComponent(window.location.href);
	email=encodeURIComponent(email);
}

function register()
{
	var firstname=document.getElementById("register_firstname").value;
	var lastname=document.getElementById("register_lastname").value;
	var email=document.getElementById("register_email").value;
	var password=document.getElementById("register_password").value;
	if(firstname=='' || lastname=='' || email=='' || password=='')
	{
		jQuery('.register-error').removeClass('hide');
	}
	else{
		var registerUrl='<?php echo $this->getBaseUrl()?>checkout/onepage/iwdregister?email='+email+'&password='+password+'&firstname='+firstname+'&lastname='+lastname;
		jQuery.ajax({
			url:registerUrl,
			success:function(data){
				if(data==-2)
				{
					jQuery('.already-registered-error').removeClass('hide');
				}
				else{
					location.reload();
				}
			},
			async:false
		});		
	}
	
	page_url=encodeURIComponent(window.location.href);
	email=encodeURIComponent(email);
}

function reviewAndPay()
{
	var paymentmethod ='';
	if(paymentmethod=='cashondelivery')
	{
		jQuery('.3atab').addClass('hide');
		var mobile=document.getElementsByName("billing[telephone]")[0].value;
		if(isValid(mobile))
		{
			jQuery('.verify-mobile-popup').css('display','block');
			url2 = "https://www.zaabel.com/bimconnect/index/sendotp?tel="+mobile;
			jQuery.ajax({
				url:url2,
				success:function(data){
				},
				async:false
			});

		}
		else
		{
			alert("Please enter a valid 10 digit  Mobile number");
		}
	}
	else
	{
		var mobile=document.getElementsByName("billing[telephone]")[0].value;
		if(validateBilling() && validateShipping())
		{
			jQuery('#2a').removeClass("active");
			jQuery('.2atab').removeClass("active");
			jQuery('#3a').addClass("active");
			jQuery('.3atab').addClass("active");
			window.scrollTo(0,0);
		}
		else
		{

		}
	}
}

function validateBilling(){
	var error=0;
	jQuery('.billing_region').removeClass('required-entry');
	jQuery('#iwd_opc_billing_address_fields .required-entry').each(function(e){
		jQuery(this).css('border','1px solid #a78b6b')
		if(jQuery(this).val()=='')
		{
			var name =jQuery(this).attr('name');
			jQuery(this).css('border','1px dashed #ec6468')
			error=1;
		}
	});
	var billingzip = jQuery('#iwd_opc_billing_address_fields .zip_code input').val();
	zipregex=/^([1-9])([0-9]){5}$/;
	if(zipregex.test(billingzip)==false){error=1;jQuery('#iwd_opc_billing_address_fields .zip_code input').css('border','1px dashed #ec6468');}
	var billingmobile=document.getElementsByName("billing[telephone]")[0].value;
	if(!isValid(billingmobile)){error=1;jQuery('#iwd_opc_billing_address_fields .mobile input').css('border','1px dashed #ec6468');}

	if(error==0)
	{
		return true;
	}
	else
	{
		return false;
	}
}

function validateShipping(){
	jQuery('.shipping_region').removeClass('required-entry');
	if(jQuery('.use_for_shipping').val()==1)
	{

		return true;
	}
	var shippingAddressExists=document.getElementById("iwd_opc_shipping_address_fields");
	if(shippingAddressExists==null){return true;}
	console.log(shippingAddressExists);
	var error=0;
	jQuery('#iwd_opc_shipping_address_fields .required-entry').each(function(e){
		jQuery(this).css('border','1px solid #a78b6b')
		if(jQuery(this).val()=='')
		{
			var name =jQuery(this).attr('name');
			jQuery(this).css('border','1px dashed #ec6468')
			error=1;
		}
	});
	var shippingzip = jQuery('#iwd_opc_shipping_address_fields .zip_code input').val();
	zipregex=/^([1-9])([0-9]){5}$/;
	if(zipregex.test(shippingzip)==false){error=1;jQuery('#iwd_opc_shipping_address_fields .zip_code input').css('border','1px dashed #ec6468');}
	var shippingmobile=document.getElementsByName("shipping[telephone]")[0].value;
	if(!isValid(shippingmobile)){error=1;jQuery('#iwd_opc_shipping_address_fields .mobile input').css('border','1px dashed #ec6468');}

	if(error==0)
	{
		return true;
	}
	else
	{
		return false;
	}
}

function isValid(val)
{
	if (/^\d{10}$/.test(val))
	{
		return true;
	} else 
	{
		return false
	}
}

function editmobile()
{
	jQuery('.verify-mobile-popup').css('display','none');
	jQuery('.3atab').removeClass('hide');
	jQuery('input[name="billing[telephone]"]').focus();
}
function verify_otp()
{
	var mobile=document.getElementsByName("billing[telephone]")[0].value;
	var otp=document.getElementById("otp").value;
				url3='';//url3 = "https://www.zaabel.com/bimconnect/index/checkotp?tel="+mobile+"&otp="+otp;
				jQuery.ajax(
				{
					url:url3,
					success:function(data){
						if(data=='success')
						{
							jQuery('#2a').removeClass("active");
							jQuery('.2atab').removeClass("active");
							jQuery('#3a').addClass("active");
							jQuery('.3atab').addClass("active");
							jQuery('.verify-mobile-popup').css('display','none');
							jQuery('.3atab').removeClass('hide');
							window.scrollTo(0,0);
						}
						else if(data=="error")
						{
							alert("OTP mismatch. Please enter correct OTP");
						}
					},
					async:false
				}
				);
}


jQuery(document).ready(function()
{
	jQuery('body').on("click",".visited a" , function(event)
	{
		event.preventDefault();
		event.stopPropagation();
	});
});

/*submit validation*/
jQuery("body").on("click",".on_submit_validate", function(e)
{
	if(!jQuery('#payment_method_payucheckout_shared').is(':checked') && !jQuery('#payment_method_phoenix_cashondelivery').is(':checked')){jQuery('#iwd_opc_payment_method').css('border','1px dashed #ec6468');}
	else{
		jQuery(this).addClass("hide_on_hover");
		e.preventDefault();
	}
});

/*Phone Number Validations with 10 digits limit*/
jQuery("body").on("keypress , focus",".phone_validate",function(e){
	if((e.which<47 || e.which>57) )
	{
		return false;
	}
	else
	{
		if(jQuery(this).val().length>=10)
		{
			return false; 
		}
	}

});
/*Phone Number Validations with 10 digits limit Ends Here*/
/*pincode Validations with 6 digits limit*/
jQuery("body").on("keypress , focus",".zip_validate",function(e){
	if((e.which<47 || e.which>57) )
	{
		return false;
	}
	else
	{
		if(jQuery(this).val().length>=6)
		{
			return false; 
		}
	}

});
/*pincode Validations with 6 digits limit Ends Here*/

</script>
<style>
.iwd_opc_wrapper i.fa.fa-inr{
	font-family:'FontAwesome';
}
.verify-mobile-popup
{
	display:none;
	position:fixed;
	border:2px solid #1e9093;
	box-shadow:0px 0px 10px 0px #1e9093;
	height:auto;
	width:30%;
	top:40%;
	background:#fff;
	left:35%;
	z-index:999;
	padding:20px;
}
.otp
{
	max-width:100%;width:100%;margin:auto;padding:5px;height:30px;margin-top:15px;margin-bottom:10px;text-align:center;
}
.green_btn{
	padding: 10px 20px;
	font-size: 16px;
	font-weight: 500;
	border: 0px;
	background: #22a1ad;
	color:#fff;
	font-size:12px;
	text-transform:none;
}
.gray_btn{
	padding: 10px 20px;
	font-size: 16px;
	font-weight: 500;
	border: 0px;
	background: #dee2e3;
	color:#000;
	font-size:12px;
	text-transform:none;
}
.one-line-content-across-site ,.magicmenu,.nav-mobile,.header-search,.top-right,.menu-mobile
{
	display:none;
}
.content-logo.col-md-3.col-sm-3
{
	float:none;
	margin: auto;
	padding:20px;
}
#checkout_page_tabs .nav.nav-pills li
{
	font-size:14px;
	font-weight:bold;
	width: 30%;
	text-align: center;
	border-bottom: #888 solid 3px;
	text-transform: none;
	color: #888;
	margin-left: 1.5%;
	margin-right: 1.5%;
	margin-bottom: -3px;
}
#checkout_page_tabs .nav.nav-pills li.active
{
	width: 30%;
	text-align: center;
	border-bottom: #a78b6b solid 3px;
	text-transform: none;
	color: #a78b6b;
	margin-left: 1.5%;
	margin-right: 1.5%;
	background: transparent;
	padding: 0px;
	margin-bottom: -3px;
	transition: border linear 0.5s;
}
#checkout_page_tabs{
	padding-top: 25px;
}
#checkout_page_tabs .nav.nav-pills li.active a
{
	background: transparent;
	color: #ec6468;
	font-weight: 600;
}

#checkout_page_tabs .nav.nav-pills li >a
{
	padding: 10px 15px;
	color: #a78b6b;
}

#checkout_page_tabs .nav.nav-pills li >a:hover,
#checkout_page_tabs .nav.nav-pills li.active a
{

	text-transform: none;
	color: #a78a6a;
	border-radius: 0px;
	background: transparent;
	transition:border linear 0.5s ;

}
#checkout_page_tabs 
{
	max-width: 900px;
	width: 100%;
	margin: auto;
}
#checkout_page_tabs .iwd_opc_column 
{
	width: 100%;
	position: relative;
	text-align: center;
	padding: 1.5%;

}

.iwd_opc_alternative_column , .iwd_opc_universal_wrapper
{
	max-width:90%;
	width:100%;
	margin:auto;
}
.iwd_opc_wrapper .iwd_opc_alternative_wrapper .iwd_opc_column#iwd_opc_address_column .iwd_opc_alternative_column
{
	float:none;
}
.iwd_opc_wrapper .iwd_opc_alternative_wrapper .iwd_opc_top #iwd_opc_top_review
{
	float:none;
}

/*Smallworld css 30 aug*/
#checkout_page_tabs .register_heading
{
	font-size: 16px;
	color: #a78b6b;
	text-transform: none;
	letter-spacing: 0.5px !important;
	word-spacing: 2px;
	font-weight: 600 !important;
	margin-top: 15px;
	margin-bottom: 20px;
	text-align: left;
	font-family: 'droid_regular';
}

#checkout_page_tabs .login_section_cont
{
	max-width:500px;
	width:100%;
	margin:auto;
}
#checkout_page_tabs .login_cont_section
{
	text-align: left;
}

#checkout_page_tabs .login_cont_section span label
{
	display: block;
	text-align: left;
	font-weight: 400;
	font-size: 16px;
	text-transform: capitalize;
	font-family: 'droid_regular';
	color: #a78b6b;
}
#checkout_page_tabs .login_cont_section span input
{
	display: block;
	width: 100%;
	padding: 10px;
	border: #cacaca solid 1px;
	font-size: 14px;
}
#checkout_page_tabs .button_container_login
{
	margin-top:25px;
	margin-bottom: 15px;
}
#checkout_page_tabs .button_container_login button
{
	max-width: 48%;
	width:100%;
}
#checkout_page_tabs .button_container_login .sign_in_btn
{
	background: #a78b6b;
	padding: 10px;
	font-size: 16px;
	color: #fff;
	border: 0px;
	font-family: 'droid_regular';
	text-transform: none;
	font-size: 12px;
	letter-spacing: 1px;
	outline:none;
}
#checkout_page_tabs  .review_pay_btn
{
	padding: 10px 20px;
	font-size: 16px;
	font-weight: 500;
	border: 0px;
	background: #a78b6b;
	color:#fff;
	font-family: 'droid_regular';
}
#checkout_page_tabs .button_container_login .guest_btn
{
	float: left;
	padding: 10px;
	border: 0px;
	background: #dee2e3;
	font-family: 'droid_regular';
	text-transform: none;
	font-size: 12px;
	letter-spacing: 1px;
}

.name_container
{
	max-width:90%;
	width:100%;
	margin:auto;
}
.name_container .middlename
{
	display: none;
}
.name_container .firstname ,.name_container .middlename ,.name_container .lastname 
{
	max-width:49%;
	width:100%;
	float: left;
	margin-right: 2%;
}
.name_container .lastname 
{
	margin-right:0px;
}

#iwd_opc_billing_form .iwd_opc_universal_wrapper,
#iwd_opc_shipping_form .iwd_opc_universal_wrapper
{
	text-align:left;
}
#iwd_opc_billing_form .iwd_opc_universal_wrapper label,
#iwd_opc_shipping_form .iwd_opc_universal_wrapper label
{
	color:#a78b6b !important;
	font-size:13px;
	font-weight:bold;
	margin:0 0 20px 10px;
	
}
#checkout_page_tabs .iwd_opc_universal_wrapper
{
	margin-bottom: 15px;
}
#checkout_page_tabs .iwd_opc_universal_wrapper input
{
	margin-top:0;
	vertical-align:top;
	border:1px solid #a78b6b;
	border-radius: 0px;
	transition: border linear 0.5s;
	font-family: 'droid_regular';
}
#checkout_page_tabs .iwd_opc_universal_wrapper input:focus , #checkout_page_tabs .iwd_opc_universal_wrapper input:active 
{
	border-bottom: 100%;
	border-bottom: #a78b6b solid 2px;
	transition: border linear 0.5s;
	font-family: 'droid_regular';
} 
.state_section_register
{
	/*display: none;*/
}
#iwd_opc_billing_address .iwd_opc_section_delimiter
{
	display: none;
}
#iwd_opc_shipping_address_fields .name_container ~.iwd_opc_universal_wrapper:nth-child(1)
{
	display: none;
}
.iwd_opc_universal_wrapper .iwd_opc_field.iwd_opc_select 
{
	position: relative;
	width: 100%;
	opacity: 1;
	z-index: 9;
	color: #000;
	height: 40px;
	font-family: 'droid_regular';
	padding-left:25px;
}
#iwd_opc_payment
{
	max-width: 87%;
	width: 100%;
	margin: auto;
}
#iwd_opc_payment .payment_label
{
	text-align: center;
	max-width: 100%;
	width: 100%;
	margin: auto;
	font-size: 21px;
	margin-bottom: 10px;
	margin-top: 40px;
	color: #a78b6b;
	font-family: 'droid_regular';

}
#iwd_opc_payment .iwd_opc_section_delimiter
{
	display: none;
}
.address_label
{
	max-width: 90%;
	width: 100%;
	margin: auto;
	text-align: left;
	color: #a78b6b;
	margin-top: 30px;
	font-size: 16px;
	font-family: 'droid_regular';
}

#checkout_page_tabs .nav-pills
{
	border-bottom: 3px solid #dee2e3;
}

.iwd_opc_select_container.selected{display:none !important;}
@media(max-width:767px)
{
	#iwd_opc_billing_form label, #iwd_opc_shipping_form label
	{
		display:inline;
	}
	.verify-mobile-popup
	{
		display:none;
		position:fixed;
		border:2px solid #1e9093;
		box-shadow:0px 0px 10px 0px #1e9093;
		height:auto;
		width:90%;
		top:40%;
		background:#fff;
		left:5%;
		z-index:999;
		padding:20px;
	}
	.green_btn, .gray_btn{
		width:100%;
		margin-bottom:5px;
	}
	#checkout_page_tabs
	{
		padding:10px 0px;
	}
	#checkout_page_tabs .nav.nav-pills li >a
	{
		padding:10px 0px;
		font-size:9px;
	}
	#checkout_page_tabs .nav.nav-pills li.active a
	{
		padding:10px 0px;
		font-size: 9px;
	}
	#checkout_page_tabs .register_heading {
		font-size: 11px;
		color: #a78b6b;
		text-transform: none;
		letter-spacing: 0.5px !important;
		word-spacing: 1px;
		font-weight: 600 !important;
		margin-top: 15px;
		margin-bottom: 10px;
		text-align: left;
	}
	#checkout_page_tabs .login_cont_section span label
	{
		font-size: 12px;
	}
	#checkout_page_tabs .login_cont_section span input
	{
		padding: 5px;
	}
	#checkout_page_tabs .button_container_login button
	{
		font-size: 8px !important;
		padding: 10px 5px !important;
	}
	#iwd_opc_payment ,.iwd_opc_alternative_column, .iwd_opc_universal_wrapper{
		max-width: 100%;

	}
	#checkout_page_tabs .iwd_opc_column
	{
		padding: 0px;
	}
	#checkout_page_tabs #iwd_opc_address_column
	{
		padding:5px;
	}

	#iwd_opc_payment .payment_label {
		max-width: 100%;
		width: 100%;
		font-size: 14px;
		margin-bottom: 10px;
		margin-top: 20px;
	}
	.iwd_opc_universal_wrapper .iwd_opc_field.iwd_opc_select {
		position: relative;
		width: 100%;
		opacity: 1;
		z-index: 9;
		color: #000;
		height: 30px;
		padding:0px 5px;
	}
	#checkout_page_tabs .iwd_opc_universal_wrapper input {
		vertical-align:top;
		margin-top:0;
		border: 1px solid #a78b6b;
		border-radius: 0px;
		transition: border linear 0.5s;
		padding-right: 0px;
		padding-top: 5px;
		padding-bottom: 5px;
		font-family: 'droid_regular';
	}
	.name_container {
		max-width: 100%;
		width: 100%;
		margin: auto;
	}
	.address_label {
		max-width: 100%;
		width: 100%;
		margin: auto;
		text-align: left;
		color: #22a1ad;
		margin-top: 30px;
		font-size: 14px;
		margin-bottom: 15px;
	}
	#iwd_opc_shipping_column , #iwd_opc_payment
	{
		padding-left:10px !important;
		padding-right: 10px !important;
	}
	#checkout_page_tabs .iwd_opc_universal_wrapper {
		margin-bottom: 10px;
	}
	.iwd_opc_universal_wrapper .iwd_opc_field.iwd_opc_input, .iwd_opc_universal_wrapper .iwd_opc_field.iwd_opc_textarea
	{
		font-size:12px;
		font-family: 'droid_regular';
	}
	#checkout-review-table tbody
	{
		display: block;
		width:100%;

	}
	#checkout-review-table tbody tr
	{
		display: block;
		width:100%;

	}

	.checkout_product td:first-child .product-name {
		float: left;
		display: block;
		width: 100%;
		max-width: 100%;
	}
}

#iwd_opc_top_review
{
	display: none;
}
#checkout_page_tabs
{
	font-family: 'droid_regular';
}
#checkout_page_tabs .nav.nav-pills li a
{
	display: block !important;
	font-family: 'droid_regular';
	text-transform: none;
	color:#888888;
}
#register_with_us{
	max-width:500px;
}
#register_with_us input{
	margin-bottom:20px;
}
.hide_on_hover
{
	cursor:wait;
	opacity:0.6;
	text-decoration: none;
}

.hide_on_hover:hover
{
	cursor:wait;
}
.iwd-opc-index-index .footer{
	display:none;
}
.iwd-opc-index-index .search-area
{
	display:none;
}
.iwd-opc-index-index .cart-area
{
	display:none;
}
.iwd-opc-index-index .secondary-nav
{
	display:none;
}
.iwd-opc-index-index .mobile-nav
{
	display:none;
}
.iwd-opc-index-index .main-menu2
{
	display:none;
}

.iwd_opc_universal_wrapper .iwd_opc_field.iwd_opc_textarea:focus{
	border:1px solid #a78b6b;
}

#checkout-review-table.data-table tbody tr{
	margin:10px auto;
}

@media(max-width:767px)
{
	.main-container{
		margin-top:20px;
	}
	.checkout_review{display:none;}
	.checkout_review_mobile{display:block;}
	.cartCustomBlock .data-table tbody tr.checkout_product td:first-child .product-name a {
		border: 0px !important;
		border-bottom: 1px dotted #1e8183 !important;
	}
	.cartCustomBlock .data-table tbody tr.checkout_product td:last-child a {
		border: 1px solid #1e8183 !important;
	}
	.checkout_product {
		position: relative;
		text-align: left;
	}
	.checkout_product td:first-child .product-name {
		float: left;
		text-align: left;
	}
	.checkout_product td:first-child .product-name a {
		border-bottom: 1px dotted #1e8183 !important;
	}
	.checkout_product .btn-remove2 {
		position: absolute !important;
		right: 20px;
		width: 30px !important;
		height: 30px !important;
		border-radius: 50%;
	}
	.checkout_product .left_prod_checkout {
		max-width: 30%;
		width: 100%;
		float: left;
	}
	.checkout_product .left_prod_checkout a {
		width: 90% !important;
		margin: 0px !important;
	}
	.checkout_product .right_prod_desc_checkout {
		max-width: 70%;
		width: 100%;
		float: left;
		text-align: left;
	}
	.checkout_product .right_prod_desc_checkout .cart-price span {
		font-size: 12px;
	}
	.checkout_product .left_text {
		text-align: left !important;
	}
	.checkout_product .left_text p {
		text-align: left;
	}
	.checkout_product .left_text a {
		width: 50px !important;
		text-align: center;
		margin: 0px !important;
		border: #1e9093 solid 1px !important;
		padding: 3px 5px !important;
	}
}
.review_heading
{
	font-size: 18px;
	color:#a78b6b;
	margin: 30px 0;
	font-family: 'droid_regular';
	text-transform:none;
	text-align:left;

}
.iwd_opc_wrapper *
{
	font-family: 'droid_regular';
}
.left_prod_checkout
{
	max-width:30%;
	width:100%;
	float:left;
}
.right_prod_desc_checkout
{
	max-width:70%;
	width:100%;
	float:right;
	text-align: left;
	font-family: 'droid_regular';
}


.cartCustomBlock .data-table tbody tr td:last-child a:hover
{
	border-bottom: 1px dotted #1e9093 !important;
}

.left_prod_checkout a
{
	width: 100px !important;
	height: 100px!important;
}
.category-products .item img, .product-image img {
	display: block;
	height: auto;
	max-width: 100%;
	width: 100%;
}
#checkout-review-table .left_prod_checkout a {
	border: 1px solid #1e9093 !important;
	margin:0px;
	box-sizing: content-box;
}
.right_prod_desc_checkout .product-name
{
	border-bottom: 1px dotted #1e9093 !important;
	display: inline-block;

}
#checkout-review-table .right_prod_desc_checkout .product-name a:hover
{
	border:0px !important;
}
.order_summary_title
{
	text-align: left;
	font-size: 21px;
	margin-bottom: 10px;
	margin-top: 15px;
	color: #a78b6b;
}
.iwd_opc_top_review_total .iwd_opc_top_review_total_cell:nth-child(1)
{
	color:#a78b6b;
	max-width:70%;
	width: 100%;
	float:left;
	text-align: left;
}
.iwd_opc_top_review_total .iwd_opc_top_review_total_cell:nth-child(2)
{
	color:#000000;
	max-width:30%;
	width: 100%;
	float:left;
	text-align: right;
}
#iwd_opc_top_review , .summary_section_cont
{
	font-size:19px;
	width:100%;
	margin:auto;
}
#iwd_opc_place_order #iwd_opc_place_order_button
{
	background-color: #a78b6b;
	max-width: 500px;
	width: 100%;
	margin: auto;
	margin-top: 15px;
	font-size: 16px;
}
#iwd_opc_top_review div
{
	font-size: 18px;
	color: #22a1ad;
	margin-top: 15px;
	margin-bottom: 15px;
}
.data-table .product-image img
{
	min-width:100%;
}

@media(max-width: 767px)
{
	.right_prod_desc_checkout .product-name
	{
		border-bottom:0px !important;
	}
	.checkout_product .left_prod_checkout a
	{
		height: auto !important;
	}
	#iwd_opc_payment_column
	{
		padding:5px !important;
	}
}
.header.container{
	text-align: center;
}
.header.container .logo img{
	margin: 5px auto;
}
#checkout_page_custom{
	max-width: 900px;
	width: 100%;
	margin: auto;
	padding-top: 25px;
}
#checkout_page_custom .nav.nav-tabs{
	border-bottom: 3px solid #dee2e3;
}

#checkout_page_custom .nav.nav-tabs li {
	width: 30.33%;
	text-align: center;
	border-bottom: #ec6468 solid 3px;
	text-transform: none;
	color: #a78b6b;
	margin-left: 1.5%;
	margin-right: 1.5%;
	margin-bottom: -3px;
	border-left: none;
	border-top: none;
	border-right: none;
}
#checkout_page_custom .nav.nav-tabs li.active{
	border-bottom: #a78b6b solid 3px;
}

#checkout_page_custom .nav.nav-tabs li.active a{
	border-left: none;
	border-top: none;
	border-right: none;
	color: #a78b6b;
	padding: 10px 15px;
	display: block;
	font-family: 'droid_regular';
	text-transform: none;
	background: transparent;
	font-weight: 600;
}

#checkout_page_custom .nav.nav-tabs li >a {
	padding: 10px 15px;
	display: block;
	font-family: 'droid_regular';
	text-transform: none;
	background: transparent;
	color: #ec6468;
	font-weight: 600;
	border-left: none;
	border-top: none;
	border-right: none;
}

#checkout_page_custom .sign_in_tab_details{
	width: 100%;
	max-width: 90%;
	margin: auto;
	position: relative;
	text-align: center;
	padding: 5%;
}

input.checkout_custom_field{
	padding: 10px;
	height: 38px;
	border: 1px solid #a78b6b;
	border-radius: 0px;
	transition: border linear 0.5s;
	font-family: 'droid_regular';
	background: inherit;
	color: #343434;
	font-size: 18px;
	outline: none;
	height: auto;
	width: 100%;
}
#checkout_page_custom .sign_in_tab_details input::placeholder{
	color:#868686;
	font-size: 18px;
}
#checkout_page_custom .sign_in_tab_details .sign_custom_buttons{
	max-width: 650px;
	width: 100%;
	margin: 40px auto;
	padding-bottom: 30px;
}

#checkout_page_custom .sign_in_tab_details .sign_custom_buttons button{
	width: 40%;
	max-width: 100%;
	float: left;
	margin: 0 5%;
} 

#checkout_page_custom .sign_in_tab_details .continue_as_guest,
#checkout_page_custom .sign_in_tab_details .sign_in{
	padding: 10px 20px;
	font-size: 16px;
	font-weight: 500;
	border: 0px;
	background: #a78b6b;
	color: #fff;
	font-family: 'droid_regular';
	text-transform: none;
}

.custom_sign_or{
	width: 100%;
	margin: 0;
	padding: 30px;
	text-align: center;
	clear: both;
	color: #888888;
	font-size: 18px;
	text-transform: none;
}
.custom_sign_or:after {
	display: inline-block;
	margin: 0 10px 5px 10px;
	height: 1px;
	content: " ";
	text-shadow: none;
	background-color: #888;
	width: 35%
}
.custom_sign_or:before {
	display: inline-block;
	margin: 0 10px 5px 0;
	height: 1px;
	content: " ";
	text-shadow: none;
	background-color: #888;
	width: 35%;
}

.sign_social_icons{
	width: 100%;
	margin:  0;
	padding: 0;
	text-align: center;
	clear: both;
	max-width: 100%;
	display: inline-block;
}
.sign_social_icons a.facebook{
	width: 50%;
	text-align: right;
	max-width: 100%;
	display: block;
	float: left;
	padding-right: 10px;
}
.sign_social_icons a.google_plus{
	width: 50%;
	text-align: left;
	max-width: 100%;
	display: block;
	float: left;
	padding-left: 10px;
}
#checkout_page_custom .billing_address{
	width: 100%;
	max-width: 90%;
	margin: auto;
	position: relative;
	padding: 0 5%;
}
#checkout_page_custom .billing_address h4{
	font-family: 'droid_regular';
	font-size: 26px;
	color: #a78b6b;
	text-align: center;
}
.checkout_field{
	margin: 15px 0;
	display: block;
}
.checkbox_field{
	margin-top: 5px;
	display: block;
}
.checkbox_field label{
	font-family: 'droid_regular';
	font-size: 16px;
	color: #a78b6b;
}

.checkout_custom_label{
	max-width: 100%;
	width: 100%;
	margin: auto;
	padding-left: 5px;
	text-align: left;
	color: #a78b6b;
	font-size: 16px;
	font-family: 'droid_regular';
}
.billing_address input::placeholder{
	color:#a78b6b;
	font-size: 12px;
	text-transform: none;
	text-align: right;
}
.checkout_order_summary{
	margin: 0;
	padding: 0;
	background: #fffbf8;
	max-width: 100%;
	width: 100%;
	clear: both;
}
.checkout_order_summary h5{
	max-width: 100%;
	width: 100%;
	text-align: left;
	color: #a78b6b;
	font-size: 24px;
	font-family: 'droid_regular';
}

.checkout_order_summary .summary_left_box{
	width: 50%;
	text-align: left;
	max-width: 100%;
	display: block;
	float: left;
	color: #a78b6b;
	font-size: 20px;
	font-family: 'droid_regular';
	clear: both;
}

.checkout_order_summary .summary_right_box{
	width: 50%;
	text-align: right;
	max-width: 100%;
	display: block;
	color: #ec6468;
	font-size: 18px;
	float: left;
	font-family: 'droid_regular';
}
.review_checkout_order{
	max-width: 100%;
	width: 100%;
	display: block;
	margin: 80px 0 50px 0;
	clear: both;
}
.review_checkout_order a{
	text-decoration: none;
	color: #a5a1a4;
	font-size: 18px;
	text-align: left;
	display: block;
}
#checkout_page_custom .order_summary {
	width: 100%;
	max-width: 90%;
	margin: auto;
	position: relative;
	padding:20px 5%;
	clear: both;
}
.pay_now_summary{
	max-width: 650px;
	width: 100%;
	margin: auto;
	text-align: center;
}
.pay_now{
	padding: 10px 20px;
	font-size: 16px;
	font-weight: 500;
	border: 0px;
	background: #a78b6b;
	color: #fff;
	font-family: 'droid_regular';
	text-transform: none;
	width: 50%;
	max-width: 100%;
	margin:auto;
	text-align: center;
}
.review_order_bg{
	width: 100%;
	max-width:100%;
	background: #fcf6f0;
	display: block;
}

#checkout_page_custom .review_and_order{
	width: 100%;
	max-width: 90%;
	margin: auto;
	position: relative;
	padding: 10px 5%;
}
#checkout_page_custom .review_and_order h4{
	font-family: 'droid_regular';
	font-size: 22px;
	color: #ec6468;
	text-align: left;
	margin:0;
	padding: 0; 
	text-transform: none;
}
#checkout_page_custom .review_and_order h5{
	font-family: 'droid_regular';
	font-size: 18px;
	color: #a78b6b;
	text-align: left;
	margin:10px 0;
	padding: 0; 
}
.review_and_products{
	text-align:left;
	min-height:150px;
	width: 100%;
	max-width: 100%;
	margin:10px auto;
	clear: both;
	padding: 10px;
	background: #fff;
	position: relative;
}
.review_and_products .products_left_box{
	width: 35%;
	max-width: 100%;
	display: block;
	float: left;
	clear: both;
}
.review_and_products .products_left_box a{	display: block;
	text-align:left;
}

.review_and_products .products_right_box{
	width: 65%;
	max-width: 100%;
	display: block;
	float: left;
}

.review_and_products .products_right_box .product_color{
	width: 50%;
	max-width: 100%;
	display: block;
	float: left;
	text-align: left;
	color: #a78b6b;
	font-size: 16px;
	font-family: 'droid_regular';
}
.review_and_products .products_right_box .product_color span,
.review_and_products .products_right_box .product_size span,
.review_and_products .products_right_box .product_quantity span{
	color: #a5a1a4;
}
.review_and_products p.product_line{
	color: #a5a1a4;
	clear: both;
	font-size: 16px;
	font-family: 'droid_regular';
}
.review_and_products .products_right_box .product_size{
	width: 50%;
	max-width: 100%;
	display: block;
	font-size: 16px;
	float: left;
	text-align: left;
	color: #a78b6b;
	font-family: 'droid_regular';
}
.review_and_products .products_right_box .product_quantity{
	width: 100%;
	max-width: 100%;
	display: block;
	float: left;
	font-size: 16px;
	text-align: left;
	color: #a78b6b;
	font-family: 'droid_regular';
}
.close_product{
	position: absolute;
	right: 0;
	top: 0;
}
.close_product a{
	text-decoration: none;
	display: block;
}
.close_product img{
	width: 15px;
	height: 15px;
	margin: 5px;
}
.review_and_products p.product_line{
	padding-bottom: 10px;
} 
.review_order_bg{
	padding-bottom: 10px;
} 


/* For mobile phones: */
@media screen and (max-width: 479px) {
	#checkout_page_custom .nav.nav-tabs li >a,
	#checkout_page_custom .nav.nav-tabs li.active a{
		font-size: 10px;
		padding: 10px 5px; 
	} 
	#checkout_page_custom .sign_in_tab_details{
		margin: 20px auto;
	}
	#checkout_page_custom .sign_in_tab_details .continue_as_guest, #checkout_page_custom .sign_in_tab_details .sign_in {
		padding: 10px;
		font-size: 12px;
	}
	#checkout_page_custom .sign_in_tab_details .sign_custom_buttons button {
		width: 46%;
		max-width: 100%;
		float: left;
		margin: 0 2%;
	}
	.custom_sign_or:before,
	.custom_sign_or:after{
		width: 35%;
	}
	.custom_sign_or{
		font-size: 12px;
	}
	#checkout_page_custom .sign_in_tab_details{
		padding: 5% 0;
	}
	#checkout_page_custom .billing_address h4,
	.checkout_order_summary h5{ 
		font-size: 18px;	
	}
	#checkout_page_custom .billing_address h4{
		margin-top: 20px;
	}
	.checkout_order_summary .summary_right_box,
	.checkout_order_summary .summary_left_box{
		font-size: 16px;
	}
	.review_checkout_order{
		margin: 70px 0 30px 0;
	}
	.pay_now_summary {
		max-width: 100%;
	}
	.pay_now {
		width: 100%;
	}
	#checkout_page_custom .billing_address,
	#checkout_page_custom .review_and_order{
		padding: 10px 0px;
	}
	#checkout_page_custom .order_summary{
		padding:20px 0; 
	}
	#checkout_page_custom .review_and_order h4{
		font-size: 18px;
		margin: 15px 0;
	}
	.review_and_products{
		padding:10px;
		max-width: 100%;
	}
	.review_and_products .products_left_box{
		width: 45%;
	}
	.review_and_products .products_right_box{
		width: 55%;
	}
	.review_and_products .products_left_box .product_img img {
		max-width: 90%;
	}
	.review_and_products .products_right_box h3 a{
		font-size: 20px;
	}
	.review_and_products .products_right_box .product_color,
	.review_and_products .products_right_box .product_size,
	.review_and_products .products_right_box .product_quantity{
		font-size: 14px;
	}
	.review_and_products p.product_line{
		padding-bottom: 20px;
	} 
	.review_order_bg{
		padding-bottom: 20px;
	}
}
/* For Iphone phones: */
@media (width: 320px){
	.review_and_products .products_right_box .product_color, 
	.review_and_products .products_right_box .product_size, 
	.review_and_products .products_right_box .product_quantity{
		font-size: 12px;
	}
	#checkout_page_custom .nav.nav-tabs li >a, #checkout_page_custom .nav.nav-tabs li.active a {
		font-size: 9px;
	}
	.review_and_products .products_right_box h3 a {
		font-size: 17px;
	}
	#checkout_page_custom .sign_in_tab_details .continue_as_guest, #checkout_page_custom .sign_in_tab_details .sign_in {
		font-size: 11px;
	}
}

.address_heading
{
	margin:40px 0 10px 0;font-size:18px;color: #a78b6b;
	font-weight: 400;
}

.iwd_opc_universal_wrapper .iwd_opc_field.iwd_opc_select option
{
	padding-top:4px;
	padding-bottom: 4px;
}
</style>
